Package org.sonatype.maven.polyglot.groovy.builder

## Class ModelBuilder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Binding
    - - groovy.util.FactoryBuilderSupport
      - - org.sonatype.maven.polyglot.groovy.builder.ModelBuilder

All Implemented Interfaces:
  `groovy.lang.GroovyObject`

    @Component(role=ModelBuilder.class)
    public class ModelBuilder
    extends groovy.util.FactoryBuilderSupport

Builds Maven `Model` instances.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

Fields
`protected org.slf4j.Logger` `log`

### Fields inherited from class groovy.util.FactoryBuilderSupport

`attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, CHILD_BUILDER, CURRENT_BUILDER, CURRENT_FACTORY, CURRENT_NAME, CURRENT_NODE, explicitMethods, explicitProperties, methodMissingDelegate, OWNER, PARENT_BUILDER, PARENT_CONTEXT, PARENT_FACTORY, PARENT_NAME, PARENT_NODE, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, propertyMissingDelegate, registrationGroup, registrationGroupName, SCRIPT_CLASS_NAME`

### Constructor Summary

Constructors
`ModelBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `findInContext​(java.lang.String key)`
`org.sonatype.maven.polyglot.execute.ExecuteManager` `getExecuteManager()`
`org.apache.maven.model.ReportSet` `getReportSet()`
`java.util.List<org.sonatype.maven.polyglot.execute.ExecuteTask>` `getTasks()`
`void` `registerBeanFactory​(java.lang.String name, java.lang.Class type)`
`void` `registerFactories()`
`void` `registerFactory​(java.lang.String name, java.lang.String groupName, groovy.util.Factory factory)`
`protected void` `setClosureDelegate​(groovy.lang.Closure c, java.lang.Object o)`
`void` `setReportSet​(org.apache.maven.model.ReportSet reportSet)`

### Methods inherited from class groovy.util.FactoryBuilderSupport

`addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispatchNodeCall, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getDisposalClosures, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getMethodMissingDelegate, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getPropertyMissingDelegate, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setMethodMissingDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setPropertyMissingDelegate, setProxyBuilder, setVariable, withBuilder, withBuilder, withBuilder`

### Methods inherited from class groovy.lang.Binding

`hasVariable`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, setMetaClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected org.slf4j.Logger log

### Constructor Detail

#### ModelBuilder

    public ModelBuilder()

### Method Detail

#### setClosureDelegate

    protected void setClosureDelegate​(groovy.lang.Closure c,
                                      java.lang.Object o)

Overrides:
  `setClosureDelegate` in class `groovy.util.FactoryBuilderSupport`

#### getExecuteManager

    public org.sonatype.maven.polyglot.execute.ExecuteManager getExecuteManager()

#### getTasks

    public java.util.List<org.sonatype.maven.polyglot.execute.ExecuteTask> getTasks()

#### registerFactories

    public void registerFactories()

#### registerBeanFactory

    public void registerBeanFactory​(java.lang.String name,
                                    java.lang.Class type)

Overrides:
  `registerBeanFactory` in class `groovy.util.FactoryBuilderSupport`

#### registerFactory

    public void registerFactory​(java.lang.String name,
                                java.lang.String groupName,
                                groovy.util.Factory factory)

Overrides:
  `registerFactory` in class `groovy.util.FactoryBuilderSupport`

#### findInContext

    public java.lang.Object findInContext​(java.lang.String key)

#### getReportSet

    public org.apache.maven.model.ReportSet getReportSet()

#### setReportSet

    public void setReportSet​(org.apache.maven.model.ReportSet reportSet)